Bug 857309 - Review Request: hash-slinger - Generate various DNS records such as RFC-4255 SSHFP and RFC-698 TLSA
Review Request: hash-slinger - Generate various DNS records such as RFC-4255 ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 01:20 EDT by Paul Wouters
Modified: 2015-01-06 11:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 02:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-09-14 01:20:54 EDT
Spec URL: http://people.redhat.com/pwouters/hash-slinger/hash-slinger.spec
SRPM URL: http://people.redhat.com/pwouters/hash-slinger/hash-slinger-2.0-1.fc17.src.rpm
Description: This package contains various tools to generate special DNS records:

sshfp   Generate RFC-4255 SSHFP DNS records from known_hosts files
        or ssh-keyscan
tlsa    Generate RFC-6698  TLSA DNS records via TLS

It pulls in software from 'sshfp' and 'swede'

Fedora Account System Username: pwouters
Comment 1 Peter Lemenkov 2012-09-14 03:39:10 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-09-14 04:43:36 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent (except bogus complains regarding spelling):

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/hash-slinger-2.0-1.fc19.noarch.rpm ../SRPMS/hash-slinger-2.0-1.fc19.src.rpm 
hash-slinger.noarch: W: spelling-error %description -l en_US keyscan -> key scan, key-scan, keys can
hash-slinger.src: W: spelling-error %description -l en_US sshfp -> ssh
hash-slinger.src: W: spelling-error %description -l en_US keyscan -> key scan, key-scan, keys can
hash-slinger.src: W: spelling-error %description -l en_US tlsa -> Elsa, LSAT
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
sulaco ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2+ as stated in the sources).

- The file, containing the text of the license(s) for the package, is NOT included in %doc. Well some licensing info does included but it contains the text og LGPLv2+ license while sources are licensed under GPLv2. Since you're the upstream developer then please fix this.

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum hash-slinger-2.0.tar.gz*
e1d803ad7ec1c9a449defddaf4936c682451047137607c572a9ca7ecdc1c55bd  hash-slinger-2.0.tar.gz
e1d803ad7ec1c9a449defddaf4936c682451047137607c572a9ca7ecdc1c55bd  hash-slinger-2.0.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


* Please fix licensing issue (either drop COPYING from the final rpm or include proper license text instead)
* (NOT A BLOCKER) you may drop %defattr directive - it's no longer needed ( >= RHEL5 or FC6).
Comment 3 Paul Wouters 2012-09-15 14:57:02 EDT
Spec URL: http://people.redhat.com/pwouters/hash-slinger/hash-slinger.spec
SRPM URL: http://people.redhat.com/pwouters/hash-slinger/hash-slinger-2.1-1.fc17.src.rpm

* Fixed COPYING file and released 2.1 as upstream
* removed defattr line


Thanks!
Comment 4 Peter Lemenkov 2012-09-15 15:06:31 EDT
(In reply to comment #3)
> Spec URL: http://people.redhat.com/pwouters/hash-slinger/hash-slinger.spec
> SRPM URL:
> http://people.redhat.com/pwouters/hash-slinger/hash-slinger-2.1-1.fc17.src.
> rpm
> 
> * Fixed COPYING file and released 2.1 as upstream
> * removed defattr line
> 
> 
> Thanks!

I don't see any other issues so this package is

APPROVED.

ps I wasn't aware of this rfc until this review request. And right now I'm adding SSHFP records to all my domains with the help of this tool. Thanks for this handy utility!
Comment 5 Paul Wouters 2012-09-17 11:08:57 EDT
Note that you will still need to change /etc/ssh/ssh_config or ~/.config and add "VerifyHostKeyDNS ask" for your ssh client to actually use these.
Comment 6 Paul Wouters 2012-09-17 11:11:53 EDT
New Package SCM Request
=======================
Package Name: hash-slinger
Short Description: Generate various DNS records such as RFC-4255 SSHFP and RFC-698 TLSA
Owners: pwouters
Branches: f18 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-17 12:01:19 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-17 16:54:50 EDT
hash-slinger-2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hash-slinger-2.1-1.fc18
Comment 9 Fedora Update System 2012-09-17 16:55:48 EDT
hash-slinger-2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hash-slinger-2.1-1.el6
Comment 10 Fedora Update System 2012-09-18 15:22:13 EDT
hash-slinger-2.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-25 02:19:47 EDT
hash-slinger-2.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Paul Wouters 2015-01-06 09:47:03 EST
Package Change Request
======================
Package Name: hash-slinger
New Branches: epel7
Owners: pwouters
Comment 13 Gwyn Ciesla 2015-01-06 11:04:49 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.